Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/PermissionResolver.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\User\LookupLimitationResult;
10 use eZ\Publish\API\Repository\Values\User\UserReference;
11 use eZ\Publish\API\Repository\Values\ValueObject;
12
16 interface PermissionResolver
17 {
23 public function getCurrentUserReference();
24
30 public function setCurrentUserReference(UserReference $userReference);
31
50 public function hasAccess($module, $function, UserReference $userReference = null);
51
73 public function canUser($module, $function, ValueObject $object, array $targets = []);
74
87 public function lookupLimitations(
88 string $module,
89 string $function,
90 ValueObject $object,
91 array $targets = [],
92 array $limitationsIdentifiers = []
93 ): LookupLimitationResult;
94 }
eZ\Publish\API\Repository\Values\User\LookupLimitationResult
This class represents a LookupLimitation for module and function in the context of current User.
Definition: LookupLimitationResult.php:17
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\PermissionResolver
This service provides methods for resolving permissions.
Definition: API/Repository/PermissionResolver.php:17
eZ\Publish\API\Repository\PermissionResolver\canUser
canUser($module, $function, ValueObject $object, array $targets=[])
Indicates if the current user is allowed to perform an action given by the function on the given obje...
Definition: Core/Repository/Permission/PermissionResolver.php:162
eZ\Publish\API\Repository\PermissionResolver\setCurrentUserReference
setCurrentUserReference(UserReference $userReference)
Sets the current user to the given $user.
eZ\Publish\API\Repository\PermissionResolver\getCurrentUserReference
getCurrentUserReference()
Get current user reference.
eZ\Publish\API\Repository\PermissionResolver\lookupLimitations
lookupLimitations(string $module, string $function, ValueObject $object, array $targets=[], array $limitationsIdentifiers=[])
{}
Definition: Core/Repository/Permission/PermissionResolver.php:253
eZ\Publish\API\Repository\PermissionResolver\hasAccess
hasAccess($module, $function, UserReference $userReference=null)
Low level permission function: Returns boolean value, or an array of limitations that user permission...
eZ\Publish\API\Repository\Values\User\UserReference
This interface represents a user reference for use in sessions and Repository.
Definition: API/Repository/Values/User/UserReference.php:13
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.